Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLIFrameElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLIFrameElementImpl

public class HTMLIFrameElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLIFrameElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:57 $
Author:
  Assaf Arkin
See Also:
  `HTMLIFrameElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`HTMLIFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`org.w3c.dom.Document` | `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`java.lang.String` | `getFrameBorder()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getLongDesc()`
`java.lang.String` | `getMarginHeight()`
`java.lang.String` | `getMarginWidth()`
`java.lang.String` | `getName()`
`java.lang.String` | `getScrolling()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setFrameBorder(java.lang.String frameBorder)`
`void` | `setHeight(java.lang.String height)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setMarginHeight(java.lang.String marginHeight)`
`void` | `setMarginWidth(java.lang.String marginWidth)`
`void` | `setName(java.lang.String name)`
`void` | `setScrolling(java.lang.String scrolling)`
`void` | `setSrc(java.lang.String src)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLIFrameElementImpl

    public HTMLIFrameElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLIFrameElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLIFrameElement

### getFrameBorder

    public java.lang.String getFrameBorder()

  Specified by:
    getFrameBorder in interface org.w3c.dom.html.HTMLIFrameElement

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    setFrameBorder in interface org.w3c.dom.html.HTMLIFrameElement

### getHeight

    public java.lang.String getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.html.HTMLIFrameElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface org.w3c.dom.html.HTMLIFrameElement

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    getLongDesc in interface org.w3c.dom.html.HTMLIFrameElement

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    setLongDesc in interface org.w3c.dom.html.HTMLIFrameElement

### getMarginHeight

    public java.lang.String getMarginHeight()

  Specified by:
    getMarginHeight in interface org.w3c.dom.html.HTMLIFrameElement

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    setMarginHeight in interface org.w3c.dom.html.HTMLIFrameElement

### getMarginWidth

    public java.lang.String getMarginWidth()

  Specified by:
    getMarginWidth in interface org.w3c.dom.html.HTMLIFrameElement

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    setMarginWidth in interface org.w3c.dom.html.HTMLIFrameElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLIFrameElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLIFrameElement

### getScrolling

    public java.lang.String getScrolling()

  Specified by:
    getScrolling in interface org.w3c.dom.html.HTMLIFrameElement

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    setScrolling in interface org.w3c.dom.html.HTMLIFrameElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLIFrameElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLIFrameElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLIFrameElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLIFrameElement

### getContentDocument

    public org.w3c.dom.Document getContentDocument()

  The document this frame contains, if there is any and it is available, or `null` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference